import request from '@/utils/request'

// 查询法规项列表
export function listLawitems(query) {
  return request({
    url: '/check/lawitems/list',
    method: 'get',
    params: query
  })
}

// 查询法规项详细
export function getLawitems(id) {
  return request({
    url: '/check/lawitems/' + id,
    method: 'get'
  })
}

// 新增法规项
export function addLawitems(data) {
  return request({
    url: '/check/lawitems',
    method: 'post',
    data: data
  })
}

// 修改法规项
export function updateLawitems(data) {
  return request({
    url: '/check/lawitems',
    method: 'put',
    data: data
  })
}

// 删除法规项
export function delLawitems(id) {
  return request({
    url: '/check/lawitems/' + id,
    method: 'delete'
  })
}
